---
title: Root level property
description: JSON schema example demonstrating a schema with a string property directly at the root level

---


# Root level property

<p>JSON schema example demonstrating a schema with a string property directly at the root level</p>

<table>
<tbody>
<tr><th>$id</th><td>root-level-property.yml</td></tr>
<tr><th>$schema</th><td>http://json-schema.org/draft-07/schema#</td></tr>
</tbody>
</table>



## Example


```
"Value one"
```
## Example


```
"Value two"
```

<hr />




<table class="jssd-property-table">
  <tbody>
    <tr>
      <th>$id</th>
      <td colspan="2">root-level-property.yml</td>
    </tr>
    <tr>
      <th>Title</th>
      <td colspan="2">Root level property</td>
    </tr>
    <tr>
      <th>Description</th>
      <td colspan="2">JSON schema example demonstrating a schema with a string property directly at the root level</td>
    </tr>
    <tr><th>Type</th><td colspan="2">String</td></tr>
    <tr>
      <th>Min Length</th>
      <td colspan="2">1</td>
    </tr><tr>
      <th>Max Length</th>
      <td colspan="2">100</td>
    </tr><tr>
      <th>Examples</th>
      <td colspan="2"><li>Value one</li><li>Value two</li></td>
    </tr>
  </tbody>
</table>









<hr />

## Schema
```
{
    "$id": "root-level-property.yml",
    "$schema": "http://json-schema.org/draft-07/schema#",
    "title": "Root level property",
    "description": "JSON schema example demonstrating a schema with a string property directly at the root level",
    "type": "string",
    "examples": [
        "Value one",
        "Value two"
    ],
    "minLength": 1,
    "maxLength": 100
}
```


